### Enumeration

# Qmi NasPlmnAccessTechnologyIdentifier

since: 1.30

#### Declaration

    flags Qmi.NasPlmnAccessTechnologyIdentifier

#### Description [src]

Preferred networks access technology identifier as specified in ETSI TS 131 102, chapter 4.2.5.

Available since: 1.30

#### Members

`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_UNSPECIFIED`

  Unspecified.

  - Value: `0`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_GSM_COMPACT`

  GSM Compact.

  - Value: `64`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_GSM`

  GSM.

  - Value: `128`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_NGRAN`

  NG-RAN.

  - Value: `2048`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_EUTRAN`

  E-UTRAN.

  - Value: `16384`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_UTRAN`

  UTRAN.

  - Value: `32768`
  - Available since: 1.30
`QMI_NAS_PLMN_ACCESS_TECHNOLOGY_IDENTIFIER_ALL`

  All technologies.

  - Value: `65535`
  - Available since: 1.30

#### Type functions

###### qmi_nas_plmn_access_technology_identifier_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasPlmnAccessTechnologyIdentifier` in `mask`.

since: 1.30